Permalink
Browse files

Initial commit of a v3 port. Update url and protocol.

  • Loading branch information...
frankcarey committed Feb 11, 2012
1 parent 5a26f61 commit c5c8e6c467770dabc7fa4b1fd9f3cbbd80b2fd9b
Showing with 3 additions and 3 deletions.
  1. +3 −3 lib/Github/HttpClient.php
@@ -13,11 +13,11 @@
* @var array
*/
protected $options = array(
- 'protocol' => 'http',
- 'url' => ':protocol://github.com/api/v2/:format/:path',
+ 'protocol' => 'https',
+ 'url' => ':protocol://api.github.com/:path',
'format' => 'json',
'user_agent' => 'php-github-api (http://github.com/ornicar/php-github-api)',
- 'http_port' => 80,
+ 'http_port' => 443,
'timeout' => 10,
'login' => null,
'token' => null

6 comments on commit c5c8e6c

@Syco54645

This comment has been minimized.

Show comment Hide comment
@Syco54645

Syco54645 Feb 24, 2012

This commit broke the script.

This commit broke the script.

@mrmark

This comment has been minimized.

Show comment Hide comment
@mrmark

mrmark Mar 7, 2012

Contributor

Found the same for me

URL needs to be ':protocol://github.com/api/v2/:format/:path' because this program still uses v2 API

Contributor

mrmark replied Mar 7, 2012

Found the same for me

URL needs to be ':protocol://github.com/api/v2/:format/:path' because this program still uses v2 API

@ornicar

This comment has been minimized.

Show comment Hide comment
@ornicar

ornicar Mar 7, 2012

Owner

pull request welcome.

Owner

ornicar replied Mar 7, 2012

pull request welcome.

@frankcarey

This comment has been minimized.

Show comment Hide comment
@frankcarey

frankcarey Mar 7, 2012

Contributor

@ornicar- do we need a new integration branch for the v3 stuff or do you want to just use master?

Contributor

frankcarey replied Mar 7, 2012

@ornicar- do we need a new integration branch for the v3 stuff or do you want to just use master?

@mrmark

This comment has been minimized.

Show comment Hide comment
@mrmark

mrmark Mar 7, 2012

Contributor

FYI, if you use master, then please provide another version via packagist/composer. Right now we can only grab master-dev (which I think is latest in master)

Contributor

mrmark replied Mar 7, 2012

FYI, if you use master, then please provide another version via packagist/composer. Right now we can only grab master-dev (which I think is latest in master)

@ornicar

This comment has been minimized.

Show comment Hide comment
@ornicar

ornicar Mar 7, 2012

Owner

Better having a new branch for v3. When it's complete it can move to master

Owner

ornicar replied Mar 7, 2012

Better having a new branch for v3. When it's complete it can move to master

Please sign in to comment.